$(window).on('load', function(){
    $(".sorting_asc_custom").trigger("click");
});

/*Filter onload*/
setTimeout(function(){
    $(".sorting_asc_custom").trigger("click"); 
}, 1000);

/*copy link end tooltip title*/
$('body').on("mouseover", ".copyLink", function() {
    $(this).attr('data-original-title',"Clique e Copie link para a página de ativação.").tooltip('show');
});

$('body').on("mouseout", ".copyLink", function() {
    $(this).tooltip('hide');
});

$('body').on("click", ".copyLink", function() {
    $(this).children('input.linkToCopy').select();
    
    var successful = document.execCommand('copy');
    var result = successful ? 'successful' : 'unsuccessful';
    
    if(result == 'successful'){
        console.log('successful');
        $(this).attr('data-original-title',"Link copiado com sucesso!").tooltip('show');
    }else{
        console.log('unsuccessful');
    }
    
})
/*end*/

/*Resend email*/
$('body').on('click','.openModalResend', function(){
    $('.btn_resend').data('resend',$(this).data('resend'));
    $('#modalResend').modal('show');
});

$('body').on('click','.openModalResendProjeto', function(){
    $('.btn_resend').data('resend',$(this).data('resend'));
    $('#modalProjetoElleven').modal('show');
});

$('.btn-copiar').on('click', function(){
    
    $('input[name="'+$(this).data('campo')+'"]').select();
    
    var successful = document.execCommand('copy');
    var result = successful ? 'successful' : 'unsuccessful';
    
    if(result == 'successful'){
        console.log('successful');
        $(this).attr('data-original-title',"Campo copiado com sucesso!").tooltip('show');
    }else{
        console.log('unsuccessful');
    }
});

$('body').on('click','.openModalEllevenSuaHouse', function(){
    console.log($(this).data('atendimento'));
    $dados = $(this).data('atendimento');
    $('input[name="nome"]').val($dados.nome);
    $('input[name="email"]').val($dados.email);
    $('input[name="cpf"]').val($dados.cpf);
    $('input[name="renda"]').val($dados.renda_mensal);
    
    if($dados.possui_conjuje != 'Não'){
        $('.conjuge').show();
        $('input[name="renda_casal"]').val($dados.renda_mensal_casal);
        $('input[name="nome_conj"]').val($dados.nome);
        $('input[name="cpf_conj"]').val($dados.nome);
    }
    $('.btn_sua_house').data('id_capt',$dados.id_captura);
    $('#modalEllevenSuaHouse').modal('show');
    console.log($('.btn_sua_house').data('id_capt'));
});

$('.btn_sua_house').on('click', function(){
    
     $.ajax({
		url: base_url+"administrativo/ajax/atendimento_ajax/ativa_suahouse",
		dataType: 'json',
		type: 'POST',
		data: {'id_captura':$(this).data('id_capt')},
		success: function(retorno)
		{		
		    if(retorno.valid == true)
		    {
		        alert(retorno.msg);
		        $('#modalEllevenSuaHouse').modal('hide'); 
                setTimeout(window.location.reload(1), 100);
		    }
		    else
		    {
		        alert(retorno.msg);
		        $('#modalEllevenSuaHouse').modal('hide');
		    }
		},
		error: function(error)
		{
			console.log(error);
		}
	});
})

$('body').on('click','.btn_resend', function(){
    
    $.ajax({
		url: base_url+"administrativo/ajax/atendimento_ajax/send_email_again",
		dataType: 'json',
		type: 'POST',
		data: $(this).data('resend'),
		success: function(retorno)
		{		
		    $('.btn_resend').data('resend','');
		    
		    if(retorno.valid == true)
		    {
		        alert(retorno.msg);
		        $('#modalResend').modal('hide'); 
		        $('#modalProjetoElleven').modal('hide');
		    }
		    else
		    {
		        alert(retorno.msg);
		        $('#modalResend').modal('hide');
		        $('#modalProjetoElleven').modal('hide');
		    }
		},
		error: function(error)
		{
			console.log(error);
		}
	});	
    
});

$('body').on('click', '.btn-history', function(){
    console.log($(this).data('linha_tempo'));
    $dados = $(this).data('linha_tempo');
    $dados_att = $(this).data('dados_cliente');
    $card_dados = '<div style="background-color:rgb(225,225,225);border-radius:10px;padding:5px;"><h5>Dados:</h5><p><b>Nome</b>: '+$dados_att.nome+'</p><p><b>Data da captura</b>: '+$dados_att.data_caputra+'</p><p><b>Ultima Atualização</b>: '+$dados_att.ultima_atualizacao+'</p></div>';
    $html = '<br><h5>Linha do tempo:</h5><div id="accordion">';
    $i = 0;
    //Emails Enviados
    $dados.forEach(function($dates){
        $dates.forEach(function($dado){
            $html += '<div class="card"> <div class="card-header" id="headingOne"> <h5 class="mb-0"> <button class="btn btn-link collapsed" data-toggle="collapse" data-target="#collapse'+$i+'" aria-expanded="true" aria-controls="collapseOne">'+$dado.campanha+'</button> </h5> </div> <div id="collapse'+$i+'" class="collapse" aria-labelledby="headingOne" data-parent="#accordion"> <div class="card-body"> <p> Enviado em: '+$dado.enviado_em+'</p> <p> Abriu email: '+$dado.abriu_email+'</p> <p> Clicou Email: '+$dado.clicou_email+'</p> </div> </div> </div>';
            $i++;
        });
    });
    $html += '</div>';
    $('#modalLinhaDoTempo').find('.modal-body').html($card_dados + $html);
    $('#modalLinhaDoTempo').modal('show');
});